1. CARD
Español
  • Español
  • English
  • Kushki Docs Colombia
  • Online Payments
    • CARD
      • Request a card token
        POST
      • Make a charge or deferred charge
        POST
      • Void a transaction
        DELETE
      • Create payment (tokenless)
        POST
      • Authorize payments
        POST
      • Capture an authorized payment
        POST
      • Bin Info V2
        GET
      • Verify Account
        POST
      • Reauthorize payments
        POST
      • Preauthorization (tokenless)
        POST
      • Validate OTP
        POST
      • Request deferred options
        GET
      • Bin Info
        GET
      • Refund a transaction
        DELETE
    • ANALYTICS
      • Get transactions list v1
      • Get transactions list v2
    • CARD-OUTS
      • Request a cash out token
      • Init Transaction
      • Update a cash out transaction
      • Delete a cash out transaction
      • Transaction Status
    • TRANSFER IN
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • TRANSFER OUT
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Void a transaction
      • Balance for Payouts
    • CASH-IN
      • Request a cash in token
      • Init Transaction
      • Update a cash in transaction
      • Delete a cash in transaction
      • Transaction Status
    • CASH-OUT
      • Request a cash out token
      • Init Transaction
      • Update a cash out transaction
      • Delete a cash out transaction
      • Transaction Status
    • COMMISSIONS
      • Get Commission Configuration
    • PAYMENT-BUTTON
      • Create a payment button
    • PAYMENT-CREDENTIALS
      • Advanced search
      • Delete credential
      • Regenerate a credential
      • Search credentials
      • Activate or deactivate
      • Update credential
      • Create a credential
    • SMARTLINKS-V2
      • Create a Smartlink
      • Get a Smartlink
      • Update a Smartlink
      • Delete a smartlink
    • TRANSFER-OUT
      • Balance for Payouts
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Void a transaction
    • TRANSFER-IN
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • ONE-CLICK & SCHEDULED PAYMENTS
      • Request a recurring charge token
      • Update recurring charge card data
      • Update a recurring charge
      • Add a temporary charge or discount
      • Get recurring charge Info
      • Create a recurring charge
      • Make an One-click payment
      • Cancel a recurring charge
      • Authorize payments
      • Capture an authorized payment
      • Get subscription transactions
    • GATEWAY-STATUS
      • Get gateway status
      • Get platform status
  • Schemas
    • SubscriptionTransactionsResponse
    • Card
    • SubscriptionTransaction
    • currency
    • ErrorResponse
    • Amount
    • extraTaxes
    • Deferred
    • Metadata
    • ContactDetails
    • documentType
    • orderDetails
    • Shipping Address
    • Billing-Address
    • product
    • threeDomainSecure
    • webhooks
    • headers
    • webhooksChargeback
    • citMit
    • network
    • binInfo
    • messageFields
    • UnexpectedErrorResponse
    • transactionType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴
Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴
Chile 🇨🇱
  1. CARD

Make a charge or deferred charge

POST
/card/v1/charges
Make a charge with a token provided by Kushki which represents the customer's credit card.

Deferred charges in Colombia#

For deferred charges in Colombia, set the deferred object with creditType, graceMonths, and months.
Send graceMonths as "00".
Credit Type 01 — Standard Installments:
"deferred": {
  "graceMonths": "00",
  "creditType": "01",
  "months": 6
}

For Aggregator model#

You can also send the number of installments in the months parameter directly:
"months": 3
Important
Consult the Request deferred options endpoint — available deferred options vary by card BIN.

Do you have your own 3DS authentication engine?#

Make sure you include the threeDomainSecure object in your request.

Do you have your own subscriptions engine?#

WARNING
This functionality is available for the Acquirer model only.
In case you have your own subscriptions engine (only PCI Compliance merchants), follow these steps:
1.
Obtain a card token by sending initialRecurrence in the transactionMode parameter.
2.
Use the obtained token to make an initial charge (see the example Initial recurrence charge for subscriptions).
3.
Save the transactionReference from step 2.
4.
For subsequent transactions, obtain a new token with subsequentRecurrence in transactionMode.
5.
Include the transactionReference in the initialRecurrenceReference field.
Endpoint time out: 29 sec
Got a suggestion on this documentation? Contact Us.

Request

Header Params

Body Params application/json

Examples

Responses

🟢201
application/json
Created
Body

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api-uat.kushkipagos.com/card/v1/charges' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "token": "f5c64f7ac8ea42d5a58dcdc74de973dc",
    "amount": {
        "subtotalIva": 0,
        "subtotalIva0": 20000,
        "ice": 0,
        "iva": 0,
        "currency": "COP"
    },
    "metadata": {
        "Referencia": "987654"
    },
    "contactDetails": {
        "documentType": "CC",
        "documentNumber": "1009283738",
        "email": "user@example.com",
        "firstName": "John",
        "lastName": "Doe",
        "phoneNumber": "+573012345678"
    },
    "orderDetails": {
        "siteDomain": "example.com",
        "shippingDetails": {
            "name": "John Doe",
            "phone": "+573012345678",
            "address1": "Eloy Alfaro 139 y Catalina Aldaz",
            "address2": "centro 123",
            "city": "Bogotá",
            "region": "Cundinamarca",
            "country": "Colombia",
            "address": "Calle 100 # 10-20",
            "zipCode": "110111"
        },
        "billingDetails": {
            "name": "John Doe",
            "phone": "+573012345678",
            "address1": "Eloy Alfaro 139 y Catalina Aldaz",
            "address2": "centro 123",
            "city": "Bogotá",
            "region": "Cundinamarca",
            "country": "Colombia",
            "address": "Calle 100 # 10-20",
            "zipCode": "110111"
        }
    },
    "productDetails": {
        "product": [
            {
                "id": "198952AB",
                "title": "eBook Digital Services",
                "price": 10000,
                "sku": "10101042",
                "quantity": 1
            },
            {
                "id": "198953AB",
                "title": "eBook Virtual Selling",
                "price": 6980,
                "sku": "004834GQ",
                "quantity": 1
            }
        ]
    },
    "webhooks": [
        {
            "events": [
                "approvedTransaction",
                "declinedTransaction"
            ],
            "headers": [
                {
                    "label": "json",
                    "value": "12"
                }
            ],
            "urls": [
                "https://eof2hhkrta4ooo1.m.pipedream.net"
            ]
        }
    ],
    "webhooksChargeback": [
        {
            "events": [
                "initialized",
                "pending",
                "review",
                "approval",
                "declined",
                "failed",
                "expired"
            ],
            "headers": [
                {
                    "label": "json",
                    "value": "12"
                }
            ],
            "urls": [
                "https://eof2hhkrta4ooo1.m.pipedream.net"
            ]
        }
    ],
    "fullResponse": "v2"
}'
Response Response Example
201 - Without fullResponse
{
    "ticketNumber": "922513792073660814",
    "transactionReference": "6f16659e-b711-4995-a9ae-161aecbd6521"
}
Modified at 2026-04-16 23:06:14
Previous
Request a card token
Next
Void a transaction
Built with